# ruoka aliluokka, joka perii tuote yläluokan ja omina ominaisuuksina maa ja paivays
from tuote import tuote
from datetime import datetime

class ruoka(tuote):

    # Konstruktori
    def __init__(self, nimi = "", hinta = 0.0, hyllypaikka = "", koodi = "", maa = "", paivays = datetime.now().strftime("%d.%m.%Y")):
        tuote.__init__(self, nimi, hinta, hyllypaikka, koodi)
        self.maa = maa
        self.paivays = paivays

    # Getterit
    @property
    def maa(self):          # Palauttaa _maa muuttujan arvon
        return self._maa

    @property
    def paivays(self):      # Palauttaa _paivays muuttujan arvon
        return self._paivays

    # Setterit
    @maa.setter
    def maa(self, value):
        self._maa = value

    @paivays.setter
    def paivays(self, value):
        self._paivays = value

    # ruoka __str__ -metodi
    def __str__(self):
        super().__str__()
        print("Alkuperä:\t" + str(self.maa) + "\n" + "Päiväys:\t" + str(self.paivays))
        return ""