# 10: Palautettavat harjoitukset (PAKOLLINEN)

![alt text](images/10_palautettavat_harjoitukset_header.png "Palautettavat harjoitukset")

Sisällysluettelo:

[[_TOC_]]

Kurssin pakolliset palautettavat tehtävät.

Jos osallistut kurssin lähiopetukseen, niin riittää, että kolme (3) harjoitusta on palautettu määräaikaan mennessä.

Jos suoritat kurssia itsenäisesti, tai sinulle on kertynyt enemmän kuin kaksi (2) poissaoloa tunneilta, niin kaikki neljä harjoitusta on palautettava!

## Harjoitusten palautusohje:

Palautettavat harjoitukset palautetaan omaan git-repoon. Seuraa seuraavia nimeämisohjeita TARKASTI!

### Forkkaa palautusten repo itsellesi.

Avaa selaimella seuraava repo: https://gitlab.dclabra.fi/eerohu/tietokantojen_perusteet_ttvsa22_esa_esimerkki.git

Klikkaa sivun oikeasta yläkulmasta löytyvää Fork-näppäintä

![](images/10_01_fork_button.png){width=50% height=50%}

Fork projekt -sivulla editoi projektin nimeen oma ryhmätunnus, etunimi ja sukunimi esimerkin mukaan.  
Valitse namespaceksi oman käyttäjätunnuksen namespace  
Aseta Visibility level: Private  

![](images/10_02_fork_project.png){width=50% height=50%}

Forkkaamisen jälkeen päivitä vielä README.md -tiedostoon omat tiedot ja lisää opettaja (@eerohuusko) Developer-oikeuksilla repoosi.

Lopuksi lähetä e-maililla reposi osoite opettajalle: eero.huusko (ät) kamk.fi

# Palautettavat harjoitukset

Kaikki kurssille osallistuvat palauttavat harjoitukset 1 ja 2.  

Harjoitukset 3 ja 4 ovat syventäviä ja/tai poissaolon korvaavia tehtäviä.

Harjoitukset 3 ja 4 ovat pakollisia itsenäisesti suorittaville!

## Palautettava harjoitus: Tietokantakyselyt - Harjoitus 1

Tietokantakyselyt - Harjoitus 1 sisältää perus SQL-lauseita

Avaa Mysql_task_1.ipynb Jupyterlabissa ja täytä solut ohjeiden mukaan.  
Kun saat tehtävän valmiiksi, niin päivitä muutokset palautettavat harjoitukset repoosi

**Tämä tehtävä on kaikille pakollinen**

## Palautettava harjoitus: Tietokantakyselyt - Harjoitus 2

Tietokantakyselyt - Harjoitus 2 sisältää perus SQL-lauseita

Avaa Mysql_task_2.ipynb Jupyterlabissa ja täytä solut ohjeiden mukaan.  
Kun saat tehtävän valmiiksi, niin päivitä muutokset palautettavat harjoitukset repoosi

**Tämä tehtävä on kaikille pakollinen**

## Palautettava harjoitus: Tietokantakyselyt - Harjoitus 3

Tietokantakyselyt - Harjoitus 3 sisältää hieman vaativampia SQL-lauseita

Avaa Mysql_task_3.ipynb Jupyterlabissa ja täytä solut ohjeiden mukaan.  
Kun saat tehtävän valmiiksi, niin päivitä muutokset palautettavat harjoitukset repoosi

**Tämä tehtävä on pakollinen, jos poissaoloja lähitunneilta on kertynyt 3 tai enemmän**  
**Tämä tehtävä on pakollinen, jos suoritat kurssia itsenäisesti**

## Palautettava harjoitus: Tietokantakyselyt, suunnittelu, luonti, viiteavaimet - Harjoitus 4

Tietokantakyselyt - Harjoitus 4 sisältää hieman vaativampia SQL-lauseita. Lisäksi harjoituksissa mukana tietokannan ER-suunnittelua

Avaa Mysql_task_4.ipynb Jupyterlabissa ja täytä solut ohjeiden mukaan.  
TASK 60 ER-kaavion voit lisätä palautushakemistoon .jpg tai .png -kuvana
Kun saat tehtävän valmiiksi, niin päivitä muutokset palautettavat harjoitukset repoosi

**Tämä tehtävä on pakollinen, jos poissaoloja lähitunneilta on kertynyt 4 tai enemmän**  
**Tämä tehtävä on pakollinen, jos suoritat kurssia itsenäisesti**


[09: Indeksit ja Tietokannan optimointi](/09_indeksit_ja_tietokannan_optimointi) <----------> [11: Tentti](/11_tentti)
