# tuote -luokka, jolla on ominaisuuksina nimi, hinta, hyllypaikka sekä koodi
class tuote:

    # Konstruktori
    def __init__(self, nimi = "", hinta = 0.0, hyllypaikka = "", koodi = ""):
        self.nimi = nimi
        self.hinta = hinta
        self.hyllypaikka = hyllypaikka
        self.koodi = koodi

    # Getterit
    @property
    def nimi(self):             # Palauttaa _nimi muuttujan arvon
        return self._nimi

    @property
    def hinta(self):            # Palauttaa _hinta muuttujan arvon
        return  self._hinta

    @property
    def hyllypaikka(self):      # Palauttaa _hyllypaikka muuttujan arvon
        return  self._hyllypaikka

    @property
    def koodi(self):            # Palauttaa _koodi muuttujan arvon
        return self._koodi

    # Setterit
    @nimi.setter
    def nimi(self, value):
        self._nimi = value

    @hinta.setter
    def hinta(self, value):
        if value < 0.0:
            value = 0.0
        self._hinta = value

    @hyllypaikka.setter
    def hyllypaikka(self, value):
        self._hyllypaikka = value

    @koodi.setter
    def koodi(self, value):
        self._koodi = value

    # tuote __str__ -metodi
    def __str__(self):
        print("Nimi:\t" + (self.nimi) + "\n" + "Hinta:\t{0:.2f}".format(self.hinta) + "\n" + "Hylly:\t" + (self.hyllypaikka) + "\n" +"Koodi\t" + (self.koodi))
        return ""