# 11: Tentti

![alt text](images/11_tentti_header.png "Tentti")

Sisällysluettelo:

[[_TOC_]]

Kurssin tentti suoritetaan Jupyterlab-ympäristössä

## Tenttiohje

Alla olevan pitäisi olla jo selvää, mutta kertaus on opintojen äiti.

HUOM! Kirjautuaksesi KAMK Jupyterhubiin tarvitset käyttäjätunnukset DC-labran Gitlabiin. Jos sinulla ei vielä ole tunnuksia, niin luo sellainen osoitteessa: https://gitlab.dclabra.fi

Kirjaudu Jupyterhubiin osoitteessa: https://jupyterhub.dclabra.fi/

Kirjautumisen jälkeen Jupyterhub pyytää valitsemaan serverin. Valitse vaihtoehdoista "Personal, 4 CPU cores, 16GB RAM & 40GB of HHD storage"

![](images/notebook_cpu_container2.png){width=50% height=50%}

Kun henkilökohtainen Jupyterlab-serverisi on käynnistynyt, niin edessä avautuu Launcher. Launcherista voi käynnistää haluamansa Jupyter Notebookin. 

Uuden Launcherin voi tarvittaessa käynnistää "File" -valikosta. 

Testaa, että ypäristö toimii oikein valitsemalla Launcherista MariaDB-Notebook klikkaamalla kuvaketta.

![](images/jhub_select_mariadb_notebook.png){width=50% height=50%}

MariaDB-Notebook käynnistyy. Tarkasta Notebookin avaamisen jälkeen, että MariaDB-kernelin tila muuttuu statukseen "Idle". 

![](images/jhub_mariadb_kernel_status_idle.png){width=50% height=50%}

Kernelin tila näkyy Notebook-välilehden oikeassa yläkulmassa, kun hiiren vie pyöreän kernel-status ikonin päälle, sekä sivun alareunan inforivillä.

Voit testata vielä, että Notebook toimii oikein kirjoittamalla jonkin tietokantakomennon ensimmäiseen soluun. Muista, että kaikki Notebookkiin kirjoittamasi komennot ajetaan henkilökohtaiseen Notebook-serverillä pyörivään tietokantaan. Vaikka avaisit useamman erillisen Notebook-välilehden, niin kaikki komennot ajetaan silti samaan henkilökohtaiseen tietokantaan. Jos MariaDB-kernel ei lähtenyt käyntiin oikein, niin tarkasta ohjeen lopusta ratkaisut yleisimpiin virheisiin Jupyterlab-ympäristössä.

Jos kaikki meni ohjeen mukaan ongelmitta, niin MariaDB-Notebook on nyt käynnissä ja valmiina vastaanottamaan komentoja. Tenttinä toimiva Notebook-tiedosto löytyy opettajan ilmoittamasta verkko-osoitteesta. Onnea tenttiin!

Alla vielä kertauksena muutama huomio tunnilta:
- Rivinvaihto solussa tapahtuu Enter-painikkeella
- Solun ajaminen onnistuu Shift+Enter -näppäinyhdistelmällä.
- Jos käytät Notebookin Save and Export Notebook As PDF -toimintoa, niin soluissa ei saa olla virheviestejä (virheviestit estävät export as pdf-toiminnon).
- Solun outputin (ja samalla tulostuneet virheet) saat poistettua, kun klikkaat solua oikealla hiiren näppäimellä ja valitset "Clear Outputs"
- Jos Notebook on liian pitkään käyttämättä, eli et aja yhtää solua pitkään aikaan, niin MariaDB-kernel saattaa sammuttaa itsensä. Tällöin kernelin saa uudelleenkäynnistettyä valikosta: Kernel -> Restart Kernel...
- Jos Notebook-ikkunan näkymä muuttuu yhtäkkiä oudoksi, niin tarkasta "View" -valikosta, että et ole painanut mitään näppäinyhdistelmää, joka muuttaa Notebookin näkymää.
- Settings-valikosta voit vaihtaa Notebookin teemaa itsellesi sopivaksi (esim. Jhub Dark)

## Yleisimmät ongelmat ja korjaukset niihin

Tässä osiossa ratkaisuja yleisimpiin ongelmiin MariaDB-Notebookin käytössä. Tarkasta ennen ongelmien selvitystä, että sinulla on Jupyterhub käynnissä vain yhdessä selainvälilehdessä.

### Ongelma: MariaDB-kernel ei käynnisty. Kernelin status jää tilaan "Connecting", "Busy", tai jokin muu virhe.

Ratkaisu 1: Valitse Jupyterlabin valikosta "Kernel" -> "Restart Kernel..." Valitse seuraavaksi näyttöön ilmestyvästä valikosta "Restart". Katso sen jälkeen muuttuiko kernelin tila. Odota tässä vaiheessa hetkinen. Kernelin käynnistys kestää yleensä useita sekunteja. Jos ongelma ei poistunut, niin jatka seuraavaan kohtaan.

Ratkaisu 2: Uudelleenlataa selainikkuna (F5-näppäin) ja kokeile taas käynnistää kernel uudestaan edellisen kohdan tavoin. Jos ongelma ei ratkennut vieläkään, niin Notebook-serveri täytyy uudelleenkäynnistää.

Ratkaisu 3: Käynnistä koko Notebook-server uudestaan valitsemalla valikosta "File" -> "Hub Control Panel". Sammuta Notebook-server avautuvasta painikkeesta. Serverin sammumisessa kestää hetkinen. Kun serveri on sammunut, niin näyttöön pitäisi ilmestyä painike, jossa lukee "Start My Server". Edellä mainitun painikkeen jälkeen näyttöön pitäisi tulla sama serverin valinta ikkuna, kuin ensimmäisellä sisäänkirjautumisella. Valitse taas "Personal, 4 CPU cores, 16GB RAM & 40GB of HHD storage". Odota, että serveri käynnistyy ja yritä taas käynnistää MariaDB-Notebook ohjeen mukaisesti. Jos MariaDB-kernel ei vieläkään käynnistynyt, niin voit kokeilla vielä seuraavaa ratkaisua

Ratkaisu 4: Avaa uusi Launcher ja valitse "Terminal"

## Harjoitustentti

Reposta löytyy Harjoitustentti.ipynb Notebook-tiedosto.

Avaa tiedosto Jupyterlabissa ja täydennä se. Kokeile lopuksi ladata tentti omalle koneelle ja/tai lisätä se git-repoosi.

Myös varsinainen tentti on Notebook-tiedosto.

Palautus: TBA

[10: Palautettavat harjoitukset](/10_palautettavat_harjoitukset) <--------
